﻿using Microsoft.AspNetCore.SignalR;
using MTWorkHR.Application.Identity;
using MTWorkHR.Core.Global;
using MTWorkHR.Core.UnitOfWork;

namespace MTWorkHR.API.Chat
{
    public class ChatHub : Hub
    {
        private readonly IUnitOfWork _unitOfWork;

        public ChatHub(IUnitOfWork unitOfWork) 
        {
            _unitOfWork = unitOfWork;
        }
        public async Task SendMessage(string user, string message)
        {
            await Clients.All.SendAsync("ReceiveMessage", user, message);
        }
    }
}
